DELETE
/api/v1/kubernetes/delete-node-pool-service/{node_pool_id}
curl --request DELETE \ --url 'https://api.e2enetworks.com/myaccount/api/v1/kubernetes/delete-node-pool-service/{node_pool_id}?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \ --header 'Authorization: Bearer <API_TOKEN>'import requests
response = requests.delete( "https://api.e2enetworks.com/myaccount/api/v1/kubernetes/delete-node-pool-service/{node_pool_id}", params={"project_id": "<PROJECT_ID>", "apikey": "<API_KEY>", "location": "<LOCATION>"}, headers={"Authorization": "Bearer <API_TOKEN>"},)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/kubernetes/delete-node-pool-service/{node_pool_id}");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", apikey: "<API_KEY>", location: "<LOCATION>" });
const response = await fetch(url, { method: "DELETE", headers: { "Authorization": "Bearer <API_TOKEN>" },});console.log(await response.json());Permanently deletes a worker node pool from the cluster. All of the pool’s worker nodes are terminated. Use the node pool’s service_id (from List). On success the API returns code: 204 with an empty body.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”node_pool_id
required
integer
The node pool service_id to delete (from List).
Example
12346Query Parameters
Section titled “Query Parameters”project_id
required
integer
Identifier of the project to scope the request to. Required integer project ID.
Example
<PROJECT_ID>apikey
required
string
API key used to authenticate the delete request.
Example
<API_KEY>location
required
string
Region of the cluster.
Example
<LOCATION>Responses
Section titled “Responses”Successful response
Media typeapplication/json
object
code
integer
data
object
errors
object
message
string
Example
{ "code": 204, "message": "Node pool deleted successfully"}